#!/bin/tcsh
#
# usage:
#   dmg_extract.sh image_name target_directory
#

set image_name = "$1"
set target_directory = "$2"

# Mount
set mount_point = `hdiutil attach "${image_name}" -readonly | awk -F "\t" '{ field = $NF}; END { print field }'`
echo "Mounted ${image_name} to ${mount_point}"

# Copy
ditto -rsrc "${mount_point}" "${target_directory}"
echo "Copied archive contents from ${mount_point} to ${target_directory}"

# Detach
hdiutil detach "${mount_point}"
echo "Detached ${mount_point}"
